[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: ;;; anything.el --- open anything

From: Drew Adams
Subject: RE: ;;; anything.el --- open anything
Date: Mon, 6 Aug 2007 13:18:27 -0700

> > In sum, either update `fit-frame.el' or remove it from your `load-path'.
> > Anything should work fine in either case.
> You're correct (my mistake) - fit-frame is not part of GNU Emacs.
> However, it is bundled with Aquamacs Emacs (the emacs that I use on my
> Mac), so it will be present for the many Mac users who use Aquamacs.
> In addition, it would be better to condition the call to fit-frame so
> that anything does not break if an older version of fit-frame has been
> manually installed by someone.

It is better for Anything to take advantage of the fourth argument. The
correct fix is for Aquamacs or individual users to update `fit-frame.el' (or
remove it).

I have sent a patch to Tamas that will not raise an error if you have an old
version of `fit-frame.el'. To have the *anything* frame fit automatically,
you will need to update to the latest `fit-frame.el'. If you do not have
that, then nothing will happen (no fitting and no error).

Thx - Drew

reply via email to

[Prev in Thread] Current Thread [Next in Thread]